import { Injectable } from '@nestjs/common';
import { EntityManager, EntityRepository } from '@mikro-orm/postgresql';
import { Category } from '../entities/category.entity';

@Injectable()
export class CategoryRepository extends EntityRepository<Category> {
  constructor(readonly em: EntityManager) {
    super(em, Category);
  }
}
